Bug 114080 - htdbm man page missing
Summary: htdbm man page missing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2004-01-22 13:38 UTC by John Airey
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-621
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 17:04:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dbmmanage perl script (10.43 KB, patch)
2004-01-22 13:42 UTC, John Airey
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:621 qe-ready SHIPPED_LIVE httpd bug fix update 2005-09-28 04:00:00 UTC

Description John Airey 2004-01-22 13:38:46 UTC
Description of problem:


Version-Release number of selected component (if applicable):
2.0.40-21.9

How reproducible:
Always

Steps to Reproduce:
1. Install httpd rpm
2. /usr/bin/dbmmanage
3.
  
Actual results:
-bash: /usr/bin/dbmmanage: No such file or directory

Expected results:
Usage: dbmmanage [enc] dbname command [username [pw [group[,group] 
[comment]]]]
 
    where enc is  -d for crypt encryption (default except on Win32, 
Netware)                  -m for MD5 encryption (default on Win32, 
Netware)
                  -s for SHA1 encryption
                  -p for plaintext
 
    command is one of: add|adduser|check|delete|import|update|view
 
    pw of . for update command retains the old password
    pw of - (or blank) for update command prompts for the password
 
    groups or comment of . (or blank) for update command retains old 
values
    groups or comment of - for update command clears the existing 
value
    groups or comment of - for add and adduser commands is the empty 
value



Additional info:

I'm attaching a working dbmmanage file in the next section. This is 
the same as the dbmmanage.in file that is in the support directory of 
httpd-2.0.40.tar.gz in the source package, except that it specifies 
the exact directory of the perl binary, /usr/bin/perl.

Comment 1 John Airey 2004-01-22 13:42:26 UTC
Created attachment 97162 [details]
dbmmanage perl script

This is the missing perl script.

Comment 2 Joe Orton 2004-01-22 13:48:20 UTC
Thanks for the report.  htdbm should be used instead of dbmmanage with
the 2.0-based packages: this is covered along with other migration
issues in /usr/share/doc/httpd-2.0.40/migration.html.

Comment 3 John Airey 2004-01-22 14:27:06 UTC
Thanks for the rapid pointer, Joe. However, why do you still have the 
manual pages for dbmmanage, but no manual page for htdbm?

#rpm -ql httpd | grep dbmmanage
/usr/share/man/man1/dbmmanage.1.gz
#man htdbm
No manual entry for htdbm

RHEL 3.0 doesn't appear to have this problem, or a man page for htdbm 
(I know man pages are awful, but the habit of 12 years is hard to 
break).

Anyway, I shall try to use htdbm instead.

Comment 4 Joe Orton 2004-01-22 14:38:11 UTC
The presence of dbmmanage.1 and lack of htdbm.1 are genuine bugs, yes,
thanks.

Comment 9 Red Hat Bugzilla 2005-09-28 17:04:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-621.html



Note You need to log in before you can comment on or make changes to this bug.